Bug 231170 - dns/powerdns: update to 4.1.4
Summary: dns/powerdns: update to 4.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-05 08:26 UTC by Ralf van der Enden
Modified: 2018-09-10 08:14 UTC (History)
0 users

See Also:


Attachments
Update PowerDNS Authoritative Server to 4.1.4 (1.03 KB, patch)
2018-09-05 08:26 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-09-05 08:26:41 UTC
Created attachment 196881 [details]
Update PowerDNS Authoritative Server to 4.1.4

This maintenance release features several bug fixes. The two most important being a fix in the handling of child-zones with DNS UPDATE and one where orphaned record comments would mess up records returned by the API.

Full changelog: https://doc.powerdns.com/authoritative/changelog/4.1.html#change-4.1.4

Buildlog: https://pkg.cainites.net/data/latest-per-pkg/powerdns/4.1.4/freebsd_11x64-system.log

- Enabled SQLite3 backend as default now, since BIND+DNSSEC requires it.
Comment 1 commit-hook freebsd_committer 2018-09-06 19:24:15 UTC
A commit references this bug:

Author: swills
Date: Thu Sep  6 19:23:40 UTC 2018
New revision: 479144
URL: https://svnweb.freebsd.org/changeset/ports/479144

Log:
  dns/powerdns: update to 4.1.4

  PR:		231170
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
Comment 2 Steve Wills freebsd_committer 2018-09-06 19:24:55 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-09-10 08:14:00 UTC
A commit references this bug:

Author: krion
Date: Mon Sep 10 08:13:40 UTC 2018
New revision: 479371
URL: https://svnweb.freebsd.org/changeset/ports/479371

Log:
  MFH: r479144

  dns/powerdns: update to 4.1.4

  PR:		231170
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/dns/powerdns/Makefile
  branches/2018Q3/dns/powerdns/distinfo